using System;

namespace FastRng.Distributions;

public sealed class NormalS02M05 : Distribution
{
    private const float SQRT_2_PI = 2.506628275f;
    private const float STD_DEV = 0.2f;
    private const float MEAN = 0.5f;

    public NormalS02M05(IRandom rng) : base(rng)
    {
    }

    private protected override float ShapeFunction(float x) => 1.0f / (STD_DEV * SQRT_2_PI) * MathF.Exp(-0.5f * MathF.Pow((x - MEAN) / STD_DEV, 2.0f));
}